### Function

# FoundryGtk Terminal list_palette_sets

#### Declaration [src]

    DexFuture*
    foundry_terminal_list_palette_sets (
      void
    )

#### Description [src]

Lists available palettes known to Foundry.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryTerminalPaletteSet`.

The caller of the function takes ownership of the data, and is responsible for freeing it.